af_note(3)

NAME
af_note - read and modify note attribute

SYNOPSIS
#include <atfs.h>

in     af_snote (Af_key *aso, char *buf)

char    *af_rnote (Af_key *aso)

DESCRIPTION
af_snote sets the given text (in buf) as change note of the specified ASO. Text must be null terminated. af_snote requires a lock (see af_lock(3)) set on the specified ASO.

Af_rnote returns a pointer to the note attribute of the specified ASO. The note text is returned in memory allocated by malloc(3). Use free(3) to make the space available for further allocation.

SEE ALSO
af_lock(3), free(3)

DIAGNOSTICS
Upon error, -1 or a nil pointer (depending on the return type) is returned and af_errno is set to the corresponding error number.